Package ghidra.util.task

# Class CancelOnlyWrappingTaskMonitor

java.lang.Object
ghidra.util.task.WrappingTaskMonitor
ghidra.util.task.CancelOnlyWrappingTaskMonitor

All Implemented Interfaces:
  `TaskMonitor`

public class CancelOnlyWrappingTaskMonitor extends WrappingTaskMonitor
A monitor that is designed for sub-tasks, where the outer task handles reporting messages and progress. This class is really just for checking cancelled.

This class wants the following methods related to cancelling to work normally:

- isCancelled()
- checkCancelled()
- cancel()
- addCancelledListener(CancelledListener)
- removeCancelledListener(CancelledListener)
- addIssueListener(IssueListener)
- removeIssueListener(IssueListener)
- isCancelEnabled()

The rest of TaskMonitor should be stubbed out. This means that if any methods are added to the TaskMonitor interface, and subsequently implemented in this class's parent, then this class needs to override them.

- ## Field Summary

  ### Fields inherited from class ghidra.util.task.WrappingTaskMonitor

  `delegate`

  ### Fields inherited from interface ghidra.util.task.TaskMonitor

  `DUMMY, NO_PROGRESS_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelOnlyWrappingTaskMonitor(TaskMonitor delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearCancelled()`
  Clear the cancellation so that this TaskMonitor may be reused
  `long`
  `getMaximum()`
  Returns the current maximum value for progress
  `long`
  `getProgress()`
  Returns the current progress value or `TaskMonitor.NO_PROGRESS_VALUE` if there is no value set
  `void`
  `incrementProgress(long incrementAmount)`
  Changes the progress value by the specified amount.
  `void`
  `initialize(long max)`
  Initialized this TaskMonitor to the given max values.
  `void`
  `setCancelEnabled(boolean enable)`
  Set the enablement of the Cancel button
  `void`
  `setIndeterminate(boolean indeterminate)`
  An indeterminate task monitor may choose to show an animation instead of updating progress
  `void`
  `setMaximum(long max)`
  Set the progress maximum value
  `void`
  `setMessage(String message)`
  Sets the message displayed on the task monitor
  `void`
  `setProgress(long value)`
  Sets the current progress value
  `void`
  `setShowProgressValue(boolean showProgressValue)`
  True (the default) signals to paint the progress information inside of the progress bar

  ### Methods inherited from class ghidra.util.task.WrappingTaskMonitor

  `addCancelledListener, cancel, checkCanceled, checkCancelled, clearCanceled, getMessage, isCancelEnabled, isCancelled, isIndeterminate, removeCancelledListener, setDelegate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.task.TaskMonitor

  `increment, increment, incrementProgress, initialize`

- ## Constructor Details

  - ### CancelOnlyWrappingTaskMonitor

    public CancelOnlyWrappingTaskMonitor(TaskMonitor delegate)

- ## Method Details

  - ### setShowProgressValue

    public void setShowProgressValue(boolean showProgressValue)
    Description copied from interface: `TaskMonitor`
    True (the default) signals to paint the progress information inside of the progress bar
    Specified by:
      `setShowProgressValue` in interface `TaskMonitor`
    Overrides:
      `setShowProgressValue` in class `WrappingTaskMonitor`
    Parameters:
      `showProgressValue` - true to paint the progress value; false to not

  - ### setMessage

    public void setMessage(String message)
    Description copied from interface: `TaskMonitor`
    Sets the message displayed on the task monitor
    Specified by:
      `setMessage` in interface `TaskMonitor`
    Overrides:
      `setMessage` in class `WrappingTaskMonitor`
    Parameters:
      `message` - the message to display

  - ### setProgress

    public void setProgress(long value)
    Description copied from interface: `TaskMonitor`
    Sets the current progress value
    Specified by:
      `setProgress` in interface `TaskMonitor`
    Overrides:
      `setProgress` in class `WrappingTaskMonitor`
    Parameters:
      `value` - progress value

  - ### initialize

    public void initialize(long max)
    Description copied from interface: `TaskMonitor`
    Initialized this TaskMonitor to the given max values. The current value of this monitor will be set to zero.
    Specified by:
      `initialize` in interface `TaskMonitor`
    Overrides:
      `initialize` in class `WrappingTaskMonitor`
    Parameters:
      `max` - maximum value for progress

  - ### setMaximum

    public void setMaximum(long max)
    Description copied from interface: `TaskMonitor`
    Set the progress maximum value

    Note: setting this value will reset the progress to be the max if the progress is currently greater than the new new max value.

    Specified by:
      `setMaximum` in interface `TaskMonitor`
    Overrides:
      `setMaximum` in class `WrappingTaskMonitor`
    Parameters:
      `max` - maximum value for progress

  - ### getMaximum

    public long getMaximum()
    Description copied from interface: `TaskMonitor`
    Returns the current maximum value for progress
    Specified by:
      `getMaximum` in interface `TaskMonitor`
    Overrides:
      `getMaximum` in class `WrappingTaskMonitor`
    Returns:
      the maximum progress value

  - ### setIndeterminate

    public void setIndeterminate(boolean indeterminate)
    Description copied from interface: `TaskMonitor`
    An indeterminate task monitor may choose to show an animation instead of updating progress
    Specified by:
      `setIndeterminate` in interface `TaskMonitor`
    Overrides:
      `setIndeterminate` in class `WrappingTaskMonitor`
    Parameters:
      `indeterminate` - true if indeterminate

  - ### incrementProgress

    public void incrementProgress(long incrementAmount)
    Description copied from interface: `TaskMonitor`
    Changes the progress value by the specified amount.
    Specified by:
      `incrementProgress` in interface `TaskMonitor`
    Overrides:
      `incrementProgress` in class `WrappingTaskMonitor`
    Parameters:
      `incrementAmount` - The amount by which to increment the progress

  - ### getProgress

    public long getProgress()
    Description copied from interface: `TaskMonitor`
    Returns the current progress value or `TaskMonitor.NO_PROGRESS_VALUE` if there is no value set
    Specified by:
      `getProgress` in interface `TaskMonitor`
    Overrides:
      `getProgress` in class `WrappingTaskMonitor`
    Returns:
      the current progress value or `TaskMonitor.NO_PROGRESS_VALUE` if there is no value set

  - ### setCancelEnabled

    public void setCancelEnabled(boolean enable)
    Description copied from interface: `TaskMonitor`
    Set the enablement of the Cancel button
    Specified by:
      `setCancelEnabled` in interface `TaskMonitor`
    Overrides:
      `setCancelEnabled` in class `WrappingTaskMonitor`
    Parameters:
      `enable` - true means to enable the cancel button

  - ### clearCancelled

    public void clearCancelled()
    Description copied from interface: `TaskMonitor`
    Clear the cancellation so that this TaskMonitor may be reused